Множественные уязвимости в IBM AIX

Дата публикации:
01.12.2008
Всего просмотров:
1890
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5385
CVE-2008-5386
CVE-2008-5387
CVE-2008-5384
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AIX 6.x
Уязвимые версии: IBM AIX версии 6.1.0, 6.1.1, 6.1.2

Описание:
Обнаруженные уязвимости позволяют локальному пользователю повысить свои привилегии на системе.

1. Уязвимость существует из-за ошибки проверки границ данных в "/usr/sbin/ndp" setuid приложении. Локальный пользователь может вызвать переполнение буфера и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости демон "netcd" должен быть запущен.

2. Уязвимость существует из-за ошибки проверки границ данных в привилегированной команде "/usr/sbin/autoconf6". Локальный пользователь может вызвать переполнение буфера и выполнить произвольный код на системе. Для успешной эксплуатации уязвимости должен использоваться RBAC и атакующий должен авторизоваться в "aix.network.config.tcpip".

3. Уязвимость существует из-за ошибки в привилегированной команде "/usr/bin/enq". Локальный пользователь может удалить произвольные файлы, если "/etc/qconfig" определяет очередь печати.

4. Уязвимость существует из-за ошибки в привилегированной команде "/usr/bin/crontab". Атакующий, авторизовавшийся в "aix.system.config.cron", может повысить свои привилегии на системе.

URL производителя: www-03.ibm.com/systems/p/os/aix/v61/index.html

Решение: Установите исправление с сайта производителя.

Ссылки: http://aix.software.ibm.com/aix/efixes/security/aix61_advisory.asc

или введите имя

CAPTCHA